'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {};

var Button = function Button(_ref) {
  var className = _ref.className,
      theme = _ref.theme,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['className', 'theme', 'children']);

  return _react2.default.createElement(
    'a',
    _extends({ 'data-component': 'Button', className: (0, _classnames2.default)('db pointer', theme.root, className) }, props),
    children
  );
};

Button.defaultProps = {
  className: null,
  children: null
};

exports.default = (0, _reactCssThemr.themr)('Button', {}, { composeTheme: 'softly' })(Button);