'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _HorizontalSmallItem = require('../HorizontalSmallItem');

var _HorizontalSmallItem2 = _interopRequireDefault(_HorizontalSmallItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HorizontalSmallList = function HorizontalSmallList(_ref) {
  var data = _ref.data,
      childrenTheme = _ref.childrenTheme,
      itemClassName = _ref.itemClassName,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { className: className },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.title, className: itemClassName },
        _react2.default.createElement(_HorizontalSmallItem2.default, {
          item: item,
          theme: childrenTheme
        })
      );
    })
  );
};

HorizontalSmallList.defaultProps = {
  className: null
};

exports.default = HorizontalSmallList;