'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _CountUp = require('../CountUp');

var _CountUp2 = _interopRequireDefault(_CountUp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  title: '',
  value: ''
};

var StatItem = function StatItem(_ref) {
  var _ref$item = _ref.item,
      title = _ref$item.title,
      value = _ref$item.value,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(className, theme.root) },
    _react2.default.createElement(
      'div',
      { className: theme.title },
      title
    ),
    _react2.default.createElement(_CountUp2.default, {
      className: theme.value,
      start: 0,
      separator: ',',
      end: value
    })
  );
};

StatItem.defaultProps = {
  className: undefined
};

exports.default = (0, _reactCssThemr.themr)('StatItem', {}, { composeTheme: 'softly' })(StatItem);