'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StatItem = require('../StatItem');

var _StatItem2 = _interopRequireDefault(_StatItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Stats = function Stats(_ref) {
  var data = _ref.data,
      _ref$childrenTheme = _ref.childrenTheme,
      childrenTheme = _ref$childrenTheme === undefined ? {} : _ref$childrenTheme,
      className = _ref.className,
      itemClassName = _ref.itemClassName;
  return _react2.default.createElement(
    'div',
    { className: className },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.title, className: itemClassName },
        _react2.default.createElement(_StatItem2.default, { item: item, theme: childrenTheme })
      );
    })
  );
};

Stats.defaultProps = {
  className: undefined,
  itemClassName: undefined,
  childrenTheme: {}
};

exports.default = Stats;