'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Hero = require('./Hero');

var _Hero2 = _interopRequireDefault(_Hero);

var _Summary = require('./Summary');

var _Summary2 = _interopRequireDefault(_Summary);

var _Benefit = require('./Benefit');

var _Benefit2 = _interopRequireDefault(_Benefit);

var _Location = require('./Location');

var _Location2 = _interopRequireDefault(_Location);

var _Ground = require('./Ground');

var _Ground2 = _interopRequireDefault(_Ground);

var _Sample = require('./Sample');

var _Sample2 = _interopRequireDefault(_Sample);

var _Pricing = require('./Pricing');

var _Pricing2 = _interopRequireDefault(_Pricing);

var _Payment = require('./Payment');

var _Payment2 = _interopRequireDefault(_Payment);

var _Utilities = require('./Utilities');

var _Utilities2 = _interopRequireDefault(_Utilities);

var _Progress = require('./Progress');

var _Progress2 = _interopRequireDefault(_Progress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Adapter = function Adapter(_ref) {
  var data = _ref.data;

  var type = data.type,
      rest = _objectWithoutProperties(data, ['type']);

  switch (type) {
    case 'Hero':
      return _react2.default.createElement(_Hero2.default, { data: rest });
    case 'Summary':
      return _react2.default.createElement(_Summary2.default, { data: rest });
    case 'Benefit':
      return _react2.default.createElement(_Benefit2.default, { data: rest });
    case 'Location':
      return _react2.default.createElement(_Location2.default, { data: rest });
    case 'Utilities':
      return _react2.default.createElement(_Utilities2.default, { data: rest });
    case 'Ground':
      return _react2.default.createElement(_Ground2.default, { data: rest });
    case 'Sample':
      return _react2.default.createElement(_Sample2.default, { data: rest });
    case 'Pricing':
      return _react2.default.createElement(_Pricing2.default, { data: rest });
    case 'Progress':
      return _react2.default.createElement(_Progress2.default, { data: rest });
    case 'Payment':
      return _react2.default.createElement(_Payment2.default, { data: rest });
    default:
      return null;
  }
};

exports.default = Adapter;