// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Stats from './'

const data = [
  {
    title: 'Customers',
    value: 1003,
  },
  {
    title: 'Servers',
    value: 32,
  },
  {
    title: 'Partners',
    value: 48,
  },
  {
    title: 'Websites',
    value: 2012,
  },
]

const childrenTheme = {
  root: 'br-100 h4 w4 ba flex flex-column items-center justify-center align-center',
  title: 'f5',
  value: 'db f2 pb2',
}

storiesOf('Stats', module)
  .add('default', () => (
    <Stats
      className="pa2 flex flex-wrap"
      itemClassName="w-50 w-25-ns pa2 flex justify-center"
      data={data}
      childrenTheme={childrenTheme}
    />
  ))
