'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _withScriptjs = require('react-google-maps/lib/async/withScriptjs');

var _withScriptjs2 = _interopRequireDefault(_withScriptjs);

var _reactGoogleMaps = require('react-google-maps');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AsyncMap = function AsyncMap(_ref) {
  var onMapLoad = _ref.onMapLoad,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['onMapLoad', 'children']);

  return _react2.default.createElement(
    _reactGoogleMaps.GoogleMap,
    _extends({
      ref: onMapLoad
    }, props),
    children
  );
};

AsyncMap.defaultProps = {
  children: null
};

exports.default = (0, _recompose.compose)(_withScriptjs2.default, _reactGoogleMaps.withGoogleMap)(AsyncMap);