'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCountup = require('react-countup');

var _reactCountup2 = _interopRequireDefault(_reactCountup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CountUp = function CountUp(_ref) {
  var className = _ref.className,
      start = _ref.start,
      end = _ref.end,
      duration = _ref.duration,
      useEasing = _ref.useEasing,
      separator = _ref.separator,
      decimal = _ref.decimal,
      prefix = _ref.prefix,
      suffix = _ref.suffix,
      onComplete = _ref.onComplete,
      onStart = _ref.onStart;
  return _react2.default.createElement(_reactCountup2.default, {
    'data-component': 'CountUp',
    className: className,
    start: start,
    end: end,
    duration: duration,
    useEasing: useEasing,
    separator: separator,
    decimal: decimal,
    prefix: prefix,
    suffix: suffix,
    onComplete: onComplete,
    onStart: onStart
  });
};

CountUp.defaultProps = {
  className: undefined,
  duration: undefined,
  useEasing: undefined,
  separator: undefined,
  decimal: undefined,
  prefix: undefined,
  suffix: undefined,
  onComplete: undefined,
  onStart: undefined
};

exports.default = CountUp;