'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.setLinkComponent = setLinkComponent;
exports.getLinkComponent = getLinkComponent;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// use default Link is a
var _Link = function _Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['to', 'children']);

  return _react2.default.createElement(
    'a',
    _extends({ href: to }, props),
    children
  );
};

_Link.defaultProps = {
  children: null
};

function setLinkComponent(Link) {
  _Link = Link;
}

function getLinkComponent() {
  return _Link;
}